magaz/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('users.urls', namespace='users')),
    path('shop/', include('shop.urls', namespace='shop')),
    path('api/', include('shop.api.urls', namespace='api'))
]

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

shop/urls.py
from django.urls import path
from .views import (
    BaseView,
    ProductDetailView,
    CategoryDetailView,
    CartView,
    AddToCartView,
    DeleteFromCartView,
    ChangeQTYView,
    CheckoutView,
    MakeOrderView,
)

app_name = 'shop'

urlpatterns = [
    path('', BaseView.as_view(), name='shop_main'),
    path('products/<str:ct_model>/<str:slug>', ProductDetailView.as_view(), name='product_detail'),
    path('category/<str:slug>', CategoryDetailView.as_view(), name='category_detail'),
    path('cart/', CartView.as_view(), name='cart'),
    path('add-to-cart/<str:ct_model>/<str:slug>', AddToCartView.as_view(), name='add-to-cart'),
    path('delete-from-cart/<str:ct_model>/<str:slug>', DeleteFromCartView.as_view(), name='delete-from-cart'),
    path('change-qty/<str:ct_model>/<str:slug>', ChangeQTYView.as_view(), name='change-qty'),
    path('checkout/', CheckoutView.as_view(), name='checkout'),
    path('make-order/', MakeOrderView.as_view(), name='make-order')
]

users/urls.py
from django.urls import path
from .views import index, sign_up, sign_in, logout_, profile_page
app_name = 'users'

urlpatterns = [
    path('', index, name='mainpage'),
    path('sign-up/', sign_up, name='sign_up'),
    path('sign-in/', sign_in, name='sign_in'),
    path('log-out/', logout_, name='logout'),
    path('profile/', profile_page, name='profile' )

]

templates/includes/header.html
<header>
<!--    <nav class="navbar navbar-expand-lg navbar-light bg-light">-->
<!--  <a class="navbar-brand" href="#">Navbar</a>-->
<!--  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">-->
<!--    <span class="navbar-toggler-icon"></span>-->
<!--  </button>-->

<!--  <div class="collapse navbar-collapse" id="navbarSupportedContent">-->
<!--    <ul class="navbar-nav mr-auto">-->
<!--      <li class="nav-item active">-->
<!--        <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>-->
<!--      </li>-->
<!--      <li class="nav-item">-->
<!--        <a class="nav-link" href="#">Link</a>-->
<!--      </li>-->
<!--      <li class="nav-item dropdown">-->
<!--        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">-->
<!--          Product-->
<!--        </a>-->
<!--        <div class="dropdown-menu" aria-labelledby="navbarDropdown">-->
<!--          <a class="dropdown-item" href="{%url 'shop:add-product'%}">Add product</a>-->
<!--          <a class="dropdown-item" href="#">Another action</a>-->
<!--          <div class="dropdown-divider"></div>-->
<!--          <a class="dropdown-item" href="#">Something else here</a>-->
<!--        </div>-->
<!--      </li>-->
<!--      <li class="nav-item">-->

<!--      </li>-->
      {% if request.user.is_authenticated %}
            <a class="btn btn-info" href="{%url 'users:profile'%}" style="margin:5px;">
                 Личный кабинет({{request.user}})
            </a>


            <a class="btn btn-info" href="{% url 'users:logout' %}">
              Выйти
            </a>

          {% else %}

          <a class="btn btn-primary" href="{% url 'users:sign_in' %}">
            Авторизация
          </a>
          <a class="btn btn-primary" href="{% url 'users:sign_up' %}">
            Регистрация
          </a>
      {% endif %}
    </ul>

  </div>
</nav>
</header>